<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:fn="http://java.sun.com/jsp/jstl/functions"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="tramiteParam" required="true" />
        <composite:attribute name="muestraClasificacionParam" default="false" />
        <composite:attribute name="muestraTipoSolicitudParam" default="false" />
        <composite:attribute name="muestraDepartamentoParam" default="false" />
        <composite:attribute name="muestraMunicipioParam" default="false" />
        <composite:attribute name="muestraNumeroPredialParam" default="false" />
        <composite:attribute name="muestraFechaRadicacionParam" default="false" />
        <composite:attribute name="muestraFechaSolicitudParam" default="false" />
        <composite:attribute name="muestraInconsistenciasGeoParam" default="false" />
        <composite:attribute name="muestraObservacionesDepParam" default="false" />
        <composite:attribute name="muestraHistoricoProyeccionParam" default="false" />
        <composite:attribute name="muestraDerechoPeticionParam" default="false" />

    </composite:interface>

    <composite:implementation>

        <!--
        @author fabio.navarrete
         
        Pantalla genérica que contiene los datos de los diferentes encabezados
        (solicitud y trámite) para las pantallas de ejecución
        
        Parámetros:
        -tramiteParam: Trámite que contiene todos los datos de muestra del encabezado
        -muestraClasificacionParam: Variable booleana que indica si se muestra el campo Clasificación
        -muestraTipoSolicitudParam: Variable booleana que indica si se muestra el campo Tipo Solicitud
        -muestraDepartamentoParam: Variable booleana que indica si se muestra el campo Departamento
        -muestraMunicipioParam: Variable booleana que indica si se muestra el campo Municipio
        -muestraNumeroPredialParam: Variable booleana que indica si se muestra el campo Número Predial
        -muestraFechaRadicacionParam: Variable booleana que indica si se muestra el campo Fecha Radicación
        -muestraFechaSolicitudParam: Variable booleana que indica si se muestra el campo Fecha Solicitud
        -muestraInconsistenciasGeoParam: 	Variable booleana que indica si se muestra o no el link a 
                                            inconsistencias a las inconsistencias geográficas del predio.
        -->
        <h:form id="tramiteForm" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui">
            <h:panelGrid columns="2" width="100%">
                <h:panelGrid
                    columns="#{cc.attrs.tramiteParam.quinta eq true ? '8' : '5'}"
                    width="100%">

                    <h:outputLabel value="No. solicitud:" styleClass="outputLabelStyle" />
                    <h:panelGrid columns="2">
                        <p:commandLink oncomplete="detalleSolicitudWV.show();"
                                       update=":detalleSolicitudEjecutarForm">
                            <h:outputText value="#{cc.attrs.tramiteParam.solicitud.numero}"
                                          styleClass="commandLinkStyle" />
                            <f:setPropertyActionListener
                                value="#{cc.attrs.tramiteParam.solicitud}"
                                target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}" />
                    <h:outputLabel value="Fecha de solicitud:"
                                   styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.solicitud.fecha}"
                                      styleClass="outputTextStyle"
                                      rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}">
                            <f:convertDateTime pattern="#{general.formatoFecha}" locale="es" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraTipoSolicitudParam eq null ? false : cc.attrs.muestraTipoSolicitudParam}" />
                    <h:outputLabel value="Tipo de solicitud:"
                                   styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraTipoSolicitudParam eq null ? false : cc.attrs.muestraTipoSolicitudParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraTipoSolicitudParam eq null ? false : cc.attrs.muestraTipoSolicitudParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.solicitud.tipo}"
                                      styleClass="outputTextStyle" id="SolicitudTipoV">
                            <f:converter converterId="converterCB" for="SolicitudTipoV" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? true : !cc.attrs.muestraFechaSolicitudParam}" />
                    <h:outputLabel value="No. radicación:" styleClass="outputLabelStyle" />
                    <h:panelGrid columns="2">
                        <p:commandLink styleClass="commandLinkStyle"
                                       oncomplete="detalleTramiteEjecutarWV.show();"
                                       update=":detalleTramiteEjecutarForm">
                            <h:outputText value="#{cc.attrs.tramiteParam.numeroRadicacion}"
                                          rendered="#{!cc.attrs.tramiteParam.tramiteDeAutoavaluo}"
                                          styleClass="commandLinkStyle" />
                            <h:outputText value="Ver trámite"
                                          rendered="#{cc.attrs.tramiteParam.tramiteDeAutoavaluo}"
                                          styleClass="commandLinkStyle" />
                            <f:setPropertyActionListener value="#{cc.attrs.tramiteParam}"
                                                         target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}" />
                    <h:outputLabel value="Fecha radicación:"
                                   styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraFechaRadicacionParam eq null ? false : cc.attrs.muestraFechaRadicacionParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraFechaRadicacionParam eq null ? false : cc.attrs.muestraFechaRadicacionParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.fechaRadicacion}"
                                      styleClass="outputTextStyle">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? true : !cc.attrs.muestraFechaSolicitudParam}" />
                    <h:outputLabel value="Tipo de trámite:"
                                   styleClass="outputLabelStyle" />
                    <h:panelGrid columns="2">
                        <h:outputText
                            value="#{cc.attrs.tramiteParam.tipoTramiteCadenaCompleto}"
                            id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.tramiteParam.quinta}" />
                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraFechaSolicitudParam eq null ? false : cc.attrs.muestraFechaSolicitudParam}" />
                    <h:outputLabel value="Clasificación:" styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraClasificacionParam eq null ? false : cc.attrs.muestraClasificacionParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraClasificacionParam eq null ? false : cc.attrs.muestraClasificacionParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.clasificacion}"
                                      id="TramiteClasificacionV-1" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB"
                                         for="TramiteClasificacionV-1" />
                        </h:outputText>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <h:outputLabel value="Derecho Peticion/Tutela:"
                                   styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraDerechoPeticionParam eq null ? false : cc.attrs.muestraDerechoPeticionParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraDerechoPeticionParam eq null ? false : cc.attrs.muestraDerechoPeticionParam}">

                        <p:commandLink styleClass="commandLinkStyleInTable"
                                       oncomplete="detalleSolicitudWV.show();"
                                       update=":detalleSolicitudEjecutarForm">
                            <h:outputText
                                value="#{cc.attrs.tramiteParam.formaPeticionTramite}" />
                            <f:setPropertyActionListener
                                value="#{cc.attrs.tramiteParam.solicitud}"
                                target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <h:outputLabel value="Número predial" styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.tramiteParam.quinta and not cc.attrs.tramiteParam.quintaMasivo}" />
                    <h:outputText
                        value="#{cc.attrs.tramiteParam.formattedNumeroPredialCompleto}"
                        rendered="#{cc.attrs.tramiteParam.quinta and not cc.attrs.tramiteParam.quintaMasivo}" 
                        styleClass="outputTextStyle" />

                    <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraDepartamentoParam eq null ? false : cc.attrs.muestraDepartamentoParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraDepartamentoParam eq null ? false : cc.attrs.muestraDepartamentoParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.departamento.nombre}"
                                      styleClass="outputTextStyle" />
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraMunicipioParam eq null or cc.attrs.tramiteParam.quinta ? false : cc.attrs.muestraMunicipioParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraMunicipioParam eq null or cc.attrs.tramiteParam.quinta ? false : cc.attrs.muestraMunicipioParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.municipio.nombre}"
                                      styleClass="outputTextStyle" />
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <h:outputLabel value="Número predial:" styleClass="outputLabelStyle"
                                   rendered="#{cc.attrs.muestraNumeroPredialParam eq null ? false : cc.attrs.muestraNumeroPredialParam}" />
                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraNumeroPredialParam eq null ? false : cc.attrs.muestraNumeroPredialParam}">
                        <h:outputText value="#{cc.attrs.tramiteParam.numeroRadicacion}"
                                      styleClass="outputTextStyle" />
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>

                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraInconsistenciasGeoParam 
                                             and cc.attrs.tramiteParam.tramiteInconsistencias ne null 
                                             and fn:length(cc.attrs.tramiteParam.tramiteInconsistencias) gt 0
                                             and predio.tipoCatastro eq 'V'}">
                        <p:commandLink value="Inconsistencias geográficas"
                                       update=":detalleInconsistenciasGeoForm"
                                       styleClass="commandLinkStyle"
                                       oncomplete="detalleInconsistenciasGeoWV.show();">
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>
                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraInconsistenciasGeoParam 
                                          and cc.attrs.tramiteParam.tramiteInconsistencias ne null 
                                          and fn:length(cc.attrs.tramiteParam.tramiteInconsistencias) gt 0}" />

                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraObservacionesDepParam}">
                        <p:commandLink value="Observaciones depuración"
                                       update=":detalleObservacionesDepForm"
                                       styleClass="commandLinkStyle"
                                       oncomplete="detalleObservacionesDepWV.show();">
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>
                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraObservacionesDepParam}" />

                    <h:panelGrid columns="2"
                                 rendered="#{cc.attrs.muestraHistoricoProyeccionParam}">
                        <p:commandLink value="Histórico de proyecciones"
                                       update=":detalleObservacionesDepForm"
                                       styleClass="commandLinkStyle"
                                       oncomplete="historicoProyeccionVGWV.show();">
                        </p:commandLink>
                        <p:spacer height="0" width="10" />
                    </h:panelGrid>
                    <p:spacer height="0" width="7"
                              rendered="#{cc.attrs.muestraObservacionesDepParam}" />
                </h:panelGrid>

                <p:dataTable value="#{cc.attrs.tramiteParam.predios}" var="predio"
                             paginator="true" rows="5" sortBy="#{predio.formattedNumeroPredialCompleto}"
                             rendered="#{! (cc.attrs.tramiteParam.quinta and not cc.attrs.tramiteParam.quintaMasivo)}"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                             emptyMessage="No existen predios en el trámite">

                    <f:facet name="header">Predios del trámite</f:facet>

                    <p:column>
                        <f:facet name="header">Tipo</f:facet>
                        <h:outputText value="#{predio.tipo}" styleClass="outputTextStyle" 
                                      id="PredioTipoV">
                            <f:converter converterId="converterCB" for="PredioTipoV" />
                        </h:outputText>
                    </p:column>

                    <p:column sortBy="#{predio.formattedNumeroPredialCompleto}">
                        <f:facet name="header">Número predial</f:facet>

                        <p:commandLink oncomplete="detallePredioWV.show()"
                                       update=":dpCC:detallesPredioTV"
                                       action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}">
                            <h:outputText value="#{predio.formattedNumeroPredialCompleto}"
                                          styleClass="commandLinkStyle" />
                            <f:setPropertyActionListener
                                target="#{vistaDetallesSolicitud.numeroPredial}" value="#{predio.numeroPredial}" />
                        </p:commandLink>

                    </p:column>
                    <p:column>
                        <f:facet name="header">Nombre o Dirección principal</f:facet>
                        <h:outputText value="#{predio.direccionPrincipal}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">Predio Ley 14</f:facet>
                        <h:outputText value="#{predio.tipoCatastro eq 'V' ? 'NO':'SI'}" />
                    </p:column>

                </p:dataTable>

            </h:panelGrid>
        </h:form>

    </composite:implementation>
</html>